Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoPrintable Class Reference

Base class for objects that can print themselves (printOn#). More...

`#include <eoPrintable.h>`

Inheritance diagram for eoPrintable:

List of all members.

## Public Member Functions
virtual | ~eoPrintable ()
| Virtual dtor. They are needed in virtual class hierarchies.
virtual void | printOn (std::ostream &_os) const =0
| Write object.

## Detailed Description

Base class for objects that can print themselves (printOn#).

Besides, this file defines the standard output for all the objects; if the objects define printOn there's no need to define #operator <<#.\ This functionality was separated from eoObject, since it makes no sense to print some objects (for instance, a eoFactory# or a random number generator.

Definition at line 43 of file eoPrintable.h.

## Member Function Documentation

virtual void eoPrintable::printOn | ( | std::ostream & | _os | ) | const`[pure virtual]`

  | Write object. It's called printOn since it prints the object on a stream. Parameters:
  | _os | A std::ostream.
Implemented in EO< F >, eoContinue< EOT >, eoGenContinue< EOT >, eoPop< EOT >, eoVector< FitT, GeneType >, eoEsFull< Fit >, eoEsSimple< Fit >, eoEsStdev< Fit >, eoBit< FitT >, eoPBILDistrib< EOT >, eoParseTree< FType, Node >, eoExternalEO< Fit, External >, eoString< fitnessT >, eoHowMany, eoIntNoBounds, eoIntInterval, eoIntBelowBound, eoIntAboveBound, eoGeneralIntBounds, eoParser, eoRealNoBounds, eoRealInterval, eoRealBelowBound, eoRealAboveBound, eoGeneralRealBounds, eoRealVectorBounds, eoRng, Dummy, Dummy, Dummy, Dummy, EO< double >, EO< EOT::Fitness >, EO< FitT >, EO< phenotype >, EO< fitnessT >, EO< Fit >, EO< FType >, EO< fitness_type >, EO< Fitness >, EO< PyFitness >, eoPop< PyEO >, eoPop< Dummy >, eoVector< Fit, double >, eoVector< FitT, double >, and eoVector< FitT, bool >. Referenced by eoRealVectorBounds::printOn(), eoGeneralRealBounds::printOn(), eoGeneralIntBounds::printOn(), and eoState::save().

The documentation for this class was generated from the following file:

- eoPrintable.h